ApiOzoneReplicationArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsReplicationArguments
  - - com.cloudera.api.swagger.model.ApiOzoneReplicationArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneReplicationArguments
      extends ApiHdfsReplicationArguments

  Replication arguments for HDFS.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneReplicationArguments` | `addInclusionFiltersItem(String inclusionFiltersItem)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getInclusionFilters()` Get inclusionFilters
    `String` | `getOriginalDestinationPath()` Get originalDestinationPath
    `String` | `getOriginalSourcePath()` Get originalSourcePath
    `OzoneReplicationType` | `getReplicationType()` Get replicationType
    `int` | `hashCode()`
    `ApiOzoneReplicationArguments` | `inclusionFilters(List<String> inclusionFilters)`
    `ApiOzoneReplicationArguments` | `originalDestinationPath(String originalDestinationPath)`
    `ApiOzoneReplicationArguments` | `originalSourcePath(String originalSourcePath)`
    `ApiOzoneReplicationArguments` | `replicationType(OzoneReplicationType replicationType)`
    `void` | `setInclusionFilters(List<String> inclusionFilters)`
    `void` | `setOriginalDestinationPath(String originalDestinationPath)`
    `void` | `setOriginalSourcePath(String originalSourcePath)`
    `void` | `setReplicationType(OzoneReplicationType replicationType)`
    `String` | `toString()`

    - ### Methods inherited from class com.cloudera.api.swagger.model.ApiHdfsReplicationArguments

      `abortOnError, addExclusionFiltersItem, bandwidthPerMap, deleteLatestSourceSnapshotOnJobFailure, destinationCloudAccount, destinationPath, dryRun, exclusionFilters, getBandwidthPerMap, getDestinationCloudAccount, getDestinationPath, getExclusionFilters, getLogPath, getMapreduceServiceName, getNumFetchThreads, getNumMaps, getReplicationStrategy, getSchedulerPoolName, getSourcePath, getSourceService, getSourceUser, getUserName, isAbortOnError, isDeleteLatestSourceSnapshotOnJobFailure, isDryRun, isPreserveBlockSize, isPreservePermissions, isPreserveReplicationCount, isPreserveXAttrs, isRaiseSnapshotDiffFailures, isRemoveMissingFiles, isSkipChecksumChecks, isSkipListingChecksumChecks, isSkipTrash, logPath, mapreduceServiceName, numFetchThreads, numMaps, preserveBlockSize, preservePermissions, preserveReplicationCount, preserveXAttrs, raiseSnapshotDiffFailures, removeMissingFiles, replicationStrategy, schedulerPoolName, setAbortOnError, setBandwidthPerMap, setDeleteLatestSourceSnapshotOnJobFailure, setDestinationCloudAccount, setDestinationPath, setDryRun, setExclusionFilters, setLogPath, setMapreduceServiceName, setNumFetchThreads, setNumMaps, setPreserveBlockSize, setPreservePermissions, setPreserveReplicationCount, setPreserveXAttrs, setRaiseSnapshotDiffFailures, setRemoveMissingFiles, setReplicationStrategy, setSchedulerPoolName, setSkipChecksumChecks, setSkipListingChecksumChecks, setSkipTrash, setSourcePath, setSourceService, setSourceUser, setUserName, skipChecksumChecks, skipListingChecksumChecks, skipTrash, sourcePath, sourceService, sourceUser, userName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneReplicationArguments

          public ApiOzoneReplicationArguments()

  - ### Method Detail

    - #### originalSourcePath

          public ApiOzoneReplicationArguments originalSourcePath(String originalSourcePath)

    - #### getOriginalSourcePath

          public String getOriginalSourcePath()

      Get originalSourcePath
      Returns:
        originalSourcePath

    - #### setOriginalSourcePath

          public void setOriginalSourcePath(String originalSourcePath)

    - #### originalDestinationPath

          public ApiOzoneReplicationArguments originalDestinationPath(String originalDestinationPath)

    - #### getOriginalDestinationPath

          public String getOriginalDestinationPath()

      Get originalDestinationPath
      Returns:
        originalDestinationPath

    - #### setOriginalDestinationPath

          public void setOriginalDestinationPath(String originalDestinationPath)

    - #### replicationType

          public ApiOzoneReplicationArguments replicationType(OzoneReplicationType replicationType)

    - #### getReplicationType

          public OzoneReplicationType getReplicationType()

      Get replicationType
      Returns:
        replicationType

    - #### setReplicationType

          public void setReplicationType(OzoneReplicationType replicationType)

    - #### inclusionFilters

          public ApiOzoneReplicationArguments inclusionFilters(List<String> inclusionFilters)

    - #### addInclusionFiltersItem

          public ApiOzoneReplicationArguments addInclusionFiltersItem(String inclusionFiltersItem)

    - #### getInclusionFilters

          public List<String> getInclusionFilters()

      Get inclusionFilters
      Returns:
        inclusionFilters

    - #### setInclusionFilters

          public void setInclusionFilters(List<String> inclusionFilters)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiHdfsReplicationArguments`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiHdfsReplicationArguments`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiHdfsReplicationArguments`

Copyright © 2026. All rights reserved.